MigaLabs Logo

MigaLabs

Blockchain Ecosystem Observatory

Beacon lido csm

Get aggregated CSM operator stats and metrics

Retrieves a comprehensive set of aggregated metrics for all Lido CSM operators, including balances, validator states, block statistics, rewards, and participation rates.

GET
/eth/v1/beacon/consensus/lido/csm/operators
X-Api-Key<token>

API key used for authentication. It provides access to all endpoints.

In: header

Response Body

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

curl -X GET "https://www.migalabs.io/api/eth/v1/beacon/consensus/lido/csm/operators"
{
  "data": {
    "lidoMetrics": {
      "missing_head": 0,
      "missing_source": 0,
      "missing_target": 0
    },
    "lidoParticipationRate": 0,
    "operators": [
      {
        "aggregate_balance": 0,
        "aggregated_max_rewards": 0,
        "cl_rewards": 0,
        "effective_balance": 0,
        "num_active": 0,
        "pool_name": "string"
      }
    ],
    "operatorsBalance": [
      {
        "aggregate_balance": 0,
        "effective_balance": 0,
        "pool_name": "string"
      }
    ],
    "operatorsBlock": [
      {
        "missed": 0,
        "pool_name": "string",
        "proposed": 0
      }
    ],
    "operatorsValidator": [
      {
        "act_number_validators": 0,
        "deposited": 0,
        "exited": 0,
        "pool_name": "string",
        "slashed": 0
      }
    ],
    "overallNetMetrics": {
      "missing_head": 0,
      "missing_source": 0,
      "missing_target": 0
    },
    "overallNetParticipationRate": 0,
    "totalCount": 0
  },
  "meta": {
    "network": "string",
    "total_count": 0
  }
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}